const { MESSAGES } = require("../../util/constants");
const { canModifyQueue } = require("../../util/LanBot");

module.exports.run = (client, message, args, settings) => {

    if (!canModifyQueue(message.member))return message.channel.send('Vous devez être dans un salon vocal pour utiliser cette commande !');
    let queue = message.client.queue.get(message.guild.id)
    if(!queue) return message.channel.send({
        embed: {
            description: "Impossible de mettre en pause, car aucune musique n'est lancé !"
        }
    })
    if(queue.playing !== false)
    queue.connection.dispatcher.pause()
    message.react('⏸')
    message.channel.send('Musique mis en pause !')
}

module.exports.help = MESSAGES.COMMANDS.MUSIQUE.PAUSE;